Skip to main content
GET
/
v1
/
venues
/
{id}
Get Venue
curl --request GET \
  --url https://api.example.com/v1/venues/{id}
Endpoint: GET https://api.rebelfi.io/v1/venues/:id
Retrieve a specific venue by ID.

Path Parameters

ParameterTypeRequiredDescription
idnumberYesVenue ID

Query Parameters

ParameterTypeRequiredDescription
supportsGasSponsorshipbooleanNoWhen true, only returns strategies compatible with gas-sponsored wallets

Example Request

curl -X GET "https://api.rebelfi.io/v1/venues/1" \
  -H "x-api-key: your_api_key"

Example Response

{
  "id": 3,
  "name": "AAVE V3",
  "protocol": "aave-v3",
  "blockchain": "ethereum",
  "iconUrl": "https://cdn.rebelfi.io/venues/aave.svg",
  "status": "active",
  "strategies": [
    {
      "strategyId": 5,
      "name": "USDC Lending",
      "token": "USDC",
      "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "apy": 0.052,
      "tvl": "2500000000000000",
      "minDeposit": "1000000",
      "maxDeposit": null,
      "status": "active",
      "supportsGasSponsorship": false
    }
  ]
}

Errors

CodeDescription
VENUE_NOT_FOUNDVenue with given ID doesn’t exist